/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version 
 * 1.1 (the "License"); you may not use this file except in compliance with 
 * the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Jetable mail extension
 *
 * The Initial Developer of the Original Code is Nicolas Moreau
 * Portions created by the Initial Developer are Copyright (C) 2004
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 * Original Author: Nicolas Moreau (nmoreau@stricto-sensu.net)
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

window.addEventListener("load", getjetablemailInit, false); 


function getjetablemailInit() {
	var menu = document.getElementById("contentAreaContextMenu");
	menu.addEventListener("popupshowing",getjetablemailContext,false);
}

function getjetablemailContext() {

	if(gContextMenu) {
		var menuitem = document.getElementById('jetablemail-menu');
		var separator=document.getElementById('jetablemail-separator');	
		
		if(menuitem)
			menuitem.hidden = !gContextMenu.onTextInput;
		       
		if(separator)
			separator.hidden = !gContextMenu.onTextInput;
	}
}

function launchPopup(){
	window.openDialog("chrome://getjetablemail/content/popup.xul","","chrome,dialog,dependent=no,modal,centerscreen=yes",gContextMenu.target);
	
}

function getJetableMail(duree) {
	if(gContextMenu) {
		var input = gContextMenu.target;
		var textinput=input.value;
	
		/* Get the jetable mail */
		var objHTTP;
		objHTTP = new XMLHttpRequest();
		objHTTP.open("POST",'http://v2.jetable.org/plugins/getmail',false);
		objHTTP.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
		objHTTP.send('email='+textinput+'&validtime='+duree);
		result=objHTTP.responseText;
		
		if(result.length>0 && isMail(result));
			input.value=result;
	}
}
 
